program case_;
 var a:integer;
  begin
   WriteLn('Введите кол-во слоников от 1 до 50');
   ReadLn(a);
   Case a of
   1,21,31,41:WriteLn(a,'    слоник');
   2..4,22..24,32..34,42..44:WriteLn(a,'     Слоникa');
   5..20,25..30,35..40,45..50:WriteLn(a,'     Слоников');
   end;
  end.